---
title: Get event by id
slug: get-event-by-id
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}",
  "name": "Get specific event by id",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "code": "{\n  \"data\": {\n    \"id\": \"5981\",\n    \"type\": \"event\",\n    \"attributes\": {\n      \"id\": \"5981\",\n      \"name\": \"Unicorn Hacking 2024\",\n      \"location\": \"\",\n      \"address\": \"\",\n      \"start-date\": \"2024-04-30\",\n      \"end-date\": \"2024-05-02\",\n      \"past\": \"false\",\n      \"table-nickname\": \"table\",\n      \"infoarea-photo-url\": \"\",\n      \"cover-photo-url\": \"https://brella-assets.brella.io/uploads/event/cover_photo/5981/rtqAZ57Z9T7qSvOA7hnB7g.jpeg\",\n      \"logo-large-url\": \"https://brella-assets.brella.io/uploads/event/logo_large/5981/4c3395c4c6f88.png\",\n      \"logo-small-url\": {},\n      \"uses-interests\": \"true\",\n      \"uses-timeslots\": \"true\",\n      \"uses-tables\": \"false\",\n      \"uses-sponsors\": \"true\",\n      \"uses-speakers\": \"true\",\n      \"event-type\": \"virtual\",\n      \"uses-stream-link\": \"true\",\n      \"uses-meeting-slots\": \"true\",\n      \"uses-event-chat\": \"true\",\n      \"uses-timeslot-chat\": \"false\",\n      \"uses-wizard\": \"false\",\n      \"uses-ticketing\": \"false\",\n      \"uses-sponsor-booth-links\": \"false\",\n      \"industry\": \"Computer Software\",\n      \"city\": \"Helsinki\",\n      \"country\": \"Finland\",\n      \"region\": \"Europe\",\n      \"created-at\": \"2022-04-13T11:18:36.763Z\",\n      \"updated-at\": \"2023-01-24T19:52:41.926Z\",\n      \"content\": {},\n      \"sponsors-name\": \"Partners\",\n      \"primary-color\": \"#1F9FB9\",\n      \"secondary-color\": \"#E70D98\",\n      \"intent-pair-ids\": {},\n      \"uses-reception-page\": \"false\",\n      \"launches-at\": {},\n      \"start-time-utc\": \"2024-04-30T07:00:00.000Z\",\n      \"end-time-utc\": \"2024-05-02T07:00:00.000Z\",\n      \"chat-channel-id\": \"sen8899c9ca7f7c59cd40aea42\",\n      \"slug\": \"uniha2924\",\n      \"time-zone\": \"America/Los_Angeles\"\n    },\n    \"relationships\": {\n      \"tickets\": {\n        \"data\": []\n      }\n    }\n  }\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "USLD6oA0GqNhk0TqFvMGL",
        "code": "curl --location -g --request GET 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "USLD6oA0GqNhk0TqFvMGL"
  },
  "description": "Retrieve the relevant data for a specific event within an organization by using the organization Id and the event Id",
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "get-specific-event-by-id",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

